org.apache.hc.client5.http.io

## Interface ConnectionEndpoint.RequestExecutor

Enclosing class:
  ConnectionEndpoint

    @Internal
    public static interface ConnectionEndpoint.RequestExecutor

Since:
  5.4

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassicHttpResponse` `execute(ClassicHttpRequest request, HttpClientConnection conn, HttpContext context)`

### Method Detail

#### execute

    ClassicHttpResponse execute(ClassicHttpRequest request,
                                HttpClientConnection conn,
                                HttpContext context)
                         throws IOException,
                                HttpException

Throws:
  `IOException`
  `HttpException`